#define		GETCIRCUITSIGNATURE		"getCircuitSignature"
#define		GETCREATORSIGNATURE		"getCreatorSignature"
#define		GETENTRYCOUNT			"getEntryCount"
#define		GETENTRYSPECS			"getEntrySpecs"

	// Signature Code of this Round.
#define		CIRCUITSIGNATURE		1

	// Length of structures.
#define		MAXENTRY	32 
#define		MAXNAMELEN	64

	// Required Features Flags
#define		RF_FPU		1
#define		RF_MMX		2
#define		RF_3DNOW	4
#define		RF_KNI		8
#define		RF_CMOV		16

#define		GM float(6.67e-11*5.977e24)

	// Vector Structure
struct  TVECTOR
{ 
	float X,Y,Z,A; 
};

	// Satellite Structure
struct	TSAT
{
	struct TVECTOR P,V;
};

	// for getEntrySpec function.
struct TPROCSPEC
{
	char	name[MAXNAMELEN];
	int		reqFeatures;
};

#define SETSPEC( spec, description, reqspecs ) \
	strcpy( spec.name, description );\
	spec.reqFeatures = (reqspecs);\


						// return the CIRCUITSIGNATURE	
//__declspec(dllexport) extern "C" int		 WINAPI  getCircuitSignature();
extern "C" int		 WINAPI  getCircuitSignature();

						// usually, return your name
//__declspec(dllexport) extern "C" char*	 WINAPI  getCreatorSignature( char * sig );
extern "C" char*	 WINAPI  getCreatorSignature( char * sig );
						// return how may entry for race, in your DLL.
//__declspec(dllexport) extern "C" int		 WINAPI  getEntryCount();
extern "C" int		 WINAPI  getEntryCount();

						// return the description and required hardware for each entry
//__declspec(dllexport) extern "C" void		 WINAPI  getEntrySpecs( struct TPROCSPEC * procSpec ); 
extern "C" void		 WINAPI  getEntrySpecs( struct TPROCSPEC * procSpec ); 

						// run selected algorithm by i.
//__declspec(dllexport) extern "C" void		WINAPI runEntry( int i, struct TSAT * sat, float dt, int count );
extern "C" void		WINAPI runEntry( int i, struct TSAT * sat, float dt, int count );

// end of file.